IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
fe80:c25d:dd30::/44- First address
fe80:c25d:dd30::- Last address
fe80:c25d:dd3f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
fe80:c25d:dd30:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
3.d.d.d.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25d:dd30::/44 makes 4,096 subnets of /56; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d:dd30::/56 | fe80:c25d:dd30:ff:ffff:ffff:ffff:ffff |
| 2 | fe80:c25d:dd30:100::/56 | fe80:c25d:dd30:1ff:ffff:ffff:ffff:ffff |
| 3 | fe80:c25d:dd30:200::/56 | fe80:c25d:dd30:2ff:ffff:ffff:ffff:ffff |
| 4 | fe80:c25d:dd30:300::/56 | fe80:c25d:dd30:3ff:ffff:ffff:ffff:ffff |
| 5 | fe80:c25d:dd30:400::/56 | fe80:c25d:dd30:4ff:ffff:ffff:ffff:ffff |
| 6 | fe80:c25d:dd30:500::/56 | fe80:c25d:dd30:5ff:ffff:ffff:ffff:ffff |
| 7 | fe80:c25d:dd30:600::/56 | fe80:c25d:dd30:6ff:ffff:ffff:ffff:ffff |
| 8 | fe80:c25d:dd30:700::/56 | fe80:c25d:dd30:7ff:ffff:ffff:ffff:ffff |
| 9 | fe80:c25d:dd30:800::/56 | fe80:c25d:dd30:8ff:ffff:ffff:ffff:ffff |
| 10 | fe80:c25d:dd30:900::/56 | fe80:c25d:dd30:9ff:ffff:ffff:ffff:ffff |
| 11 | fe80:c25d:dd30:a00::/56 | fe80:c25d:dd30:aff:ffff:ffff:ffff:ffff |
| 12 | fe80:c25d:dd30:b00::/56 | fe80:c25d:dd30:bff:ffff:ffff:ffff:ffff |
| 13 | fe80:c25d:dd30:c00::/56 | fe80:c25d:dd30:cff:ffff:ffff:ffff:ffff |
| 14 | fe80:c25d:dd30:d00::/56 | fe80:c25d:dd30:dff:ffff:ffff:ffff:ffff |
| 15 | fe80:c25d:dd30:e00::/56 | fe80:c25d:dd30:eff:ffff:ffff:ffff:ffff |
| 16 | fe80:c25d:dd30:f00::/56 | fe80:c25d:dd30:fff:ffff:ffff:ffff:ffff |
| 17 | fe80:c25d:dd30:1000::/56 | fe80:c25d:dd30:10ff:ffff:ffff:ffff:ffff |
| 18 | fe80:c25d:dd30:1100::/56 | fe80:c25d:dd30:11ff:ffff:ffff:ffff:ffff |
| 19 | fe80:c25d:dd30:1200::/56 | fe80:c25d:dd30:12ff:ffff:ffff:ffff:ffff |
| 20 | fe80:c25d:dd30:1300::/56 | fe80:c25d:dd30:13ff:ffff:ffff:ffff:ffff |
| 21 | fe80:c25d:dd30:1400::/56 | fe80:c25d:dd30:14ff:ffff:ffff:ffff:ffff |
| 22 | fe80:c25d:dd30:1500::/56 | fe80:c25d:dd30:15ff:ffff:ffff:ffff:ffff |
| 23 | fe80:c25d:dd30:1600::/56 | fe80:c25d:dd30:16ff:ffff:ffff:ffff:ffff |
| 24 | fe80:c25d:dd30:1700::/56 | fe80:c25d:dd30:17ff:ffff:ffff:ffff:ffff |
| 25 | fe80:c25d:dd30:1800::/56 | fe80:c25d:dd30:18ff:ffff:ffff:ffff:ffff |
| 26 | fe80:c25d:dd30:1900::/56 | fe80:c25d:dd30:19ff:ffff:ffff:ffff:ffff |
| 27 | fe80:c25d:dd30:1a00::/56 | fe80:c25d:dd30:1aff:ffff:ffff:ffff:ffff |
| 28 | fe80:c25d:dd30:1b00::/56 | fe80:c25d:dd30:1bff:ffff:ffff:ffff:ffff |
| 29 | fe80:c25d:dd30:1c00::/56 | fe80:c25d:dd30:1cff:ffff:ffff:ffff:ffff |
| 30 | fe80:c25d:dd30:1d00::/56 | fe80:c25d:dd30:1dff:ffff:ffff:ffff:ffff |
| 31 | fe80:c25d:dd30:1e00::/56 | fe80:c25d:dd30:1eff:ffff:ffff:ffff:ffff |
| 32 | fe80:c25d:dd30:1f00::/56 | fe80:c25d:dd30:1fff:ffff:ffff:ffff:ffff |
| 33 | fe80:c25d:dd30:2000::/56 | fe80:c25d:dd30:20ff:ffff:ffff:ffff:ffff |
| 34 | fe80:c25d:dd30:2100::/56 | fe80:c25d:dd30:21ff:ffff:ffff:ffff:ffff |
| 35 | fe80:c25d:dd30:2200::/56 | fe80:c25d:dd30:22ff:ffff:ffff:ffff:ffff |
| 36 | fe80:c25d:dd30:2300::/56 | fe80:c25d:dd30:23ff:ffff:ffff:ffff:ffff |
| 37 | fe80:c25d:dd30:2400::/56 | fe80:c25d:dd30:24ff:ffff:ffff:ffff:ffff |
| 38 | fe80:c25d:dd30:2500::/56 | fe80:c25d:dd30:25ff:ffff:ffff:ffff:ffff |
| 39 | fe80:c25d:dd30:2600::/56 | fe80:c25d:dd30:26ff:ffff:ffff:ffff:ffff |
| 40 | fe80:c25d:dd30:2700::/56 | fe80:c25d:dd30:27ff:ffff:ffff:ffff:ffff |
| 41 | fe80:c25d:dd30:2800::/56 | fe80:c25d:dd30:28ff:ffff:ffff:ffff:ffff |
| 42 | fe80:c25d:dd30:2900::/56 | fe80:c25d:dd30:29ff:ffff:ffff:ffff:ffff |
| 43 | fe80:c25d:dd30:2a00::/56 | fe80:c25d:dd30:2aff:ffff:ffff:ffff:ffff |
| 44 | fe80:c25d:dd30:2b00::/56 | fe80:c25d:dd30:2bff:ffff:ffff:ffff:ffff |
| 45 | fe80:c25d:dd30:2c00::/56 | fe80:c25d:dd30:2cff:ffff:ffff:ffff:ffff |
| 46 | fe80:c25d:dd30:2d00::/56 | fe80:c25d:dd30:2dff:ffff:ffff:ffff:ffff |
| 47 | fe80:c25d:dd30:2e00::/56 | fe80:c25d:dd30:2eff:ffff:ffff:ffff:ffff |
| 48 | fe80:c25d:dd30:2f00::/56 | fe80:c25d:dd30:2fff:ffff:ffff:ffff:ffff |
| 49 | fe80:c25d:dd30:3000::/56 | fe80:c25d:dd30:30ff:ffff:ffff:ffff:ffff |
| 50 | fe80:c25d:dd30:3100::/56 | fe80:c25d:dd30:31ff:ffff:ffff:ffff:ffff |
| 51 | fe80:c25d:dd30:3200::/56 | fe80:c25d:dd30:32ff:ffff:ffff:ffff:ffff |
| 52 | fe80:c25d:dd30:3300::/56 | fe80:c25d:dd30:33ff:ffff:ffff:ffff:ffff |
| 53 | fe80:c25d:dd30:3400::/56 | fe80:c25d:dd30:34ff:ffff:ffff:ffff:ffff |
| 54 | fe80:c25d:dd30:3500::/56 | fe80:c25d:dd30:35ff:ffff:ffff:ffff:ffff |
| 55 | fe80:c25d:dd30:3600::/56 | fe80:c25d:dd30:36ff:ffff:ffff:ffff:ffff |
| 56 | fe80:c25d:dd30:3700::/56 | fe80:c25d:dd30:37ff:ffff:ffff:ffff:ffff |
| 57 | fe80:c25d:dd30:3800::/56 | fe80:c25d:dd30:38ff:ffff:ffff:ffff:ffff |
| 58 | fe80:c25d:dd30:3900::/56 | fe80:c25d:dd30:39ff:ffff:ffff:ffff:ffff |
| 59 | fe80:c25d:dd30:3a00::/56 | fe80:c25d:dd30:3aff:ffff:ffff:ffff:ffff |
| 60 | fe80:c25d:dd30:3b00::/56 | fe80:c25d:dd30:3bff:ffff:ffff:ffff:ffff |
| 61 | fe80:c25d:dd30:3c00::/56 | fe80:c25d:dd30:3cff:ffff:ffff:ffff:ffff |
| 62 | fe80:c25d:dd30:3d00::/56 | fe80:c25d:dd30:3dff:ffff:ffff:ffff:ffff |
| 63 | fe80:c25d:dd30:3e00::/56 | fe80:c25d:dd30:3eff:ffff:ffff:ffff:ffff |
| 64 | fe80:c25d:dd30:3f00::/56 | fe80:c25d:dd30:3fff:ffff:ffff:ffff:ffff |
| 65 | fe80:c25d:dd30:4000::/56 | fe80:c25d:dd30:40ff:ffff:ffff:ffff:ffff |
| 66 | fe80:c25d:dd30:4100::/56 | fe80:c25d:dd30:41ff:ffff:ffff:ffff:ffff |
| 67 | fe80:c25d:dd30:4200::/56 | fe80:c25d:dd30:42ff:ffff:ffff:ffff:ffff |
| 68 | fe80:c25d:dd30:4300::/56 | fe80:c25d:dd30:43ff:ffff:ffff:ffff:ffff |
| 69 | fe80:c25d:dd30:4400::/56 | fe80:c25d:dd30:44ff:ffff:ffff:ffff:ffff |
| 70 | fe80:c25d:dd30:4500::/56 | fe80:c25d:dd30:45ff:ffff:ffff:ffff:ffff |
| 71 | fe80:c25d:dd30:4600::/56 | fe80:c25d:dd30:46ff:ffff:ffff:ffff:ffff |
| 72 | fe80:c25d:dd30:4700::/56 | fe80:c25d:dd30:47ff:ffff:ffff:ffff:ffff |
| 73 | fe80:c25d:dd30:4800::/56 | fe80:c25d:dd30:48ff:ffff:ffff:ffff:ffff |
| 74 | fe80:c25d:dd30:4900::/56 | fe80:c25d:dd30:49ff:ffff:ffff:ffff:ffff |
| 75 | fe80:c25d:dd30:4a00::/56 | fe80:c25d:dd30:4aff:ffff:ffff:ffff:ffff |
| 76 | fe80:c25d:dd30:4b00::/56 | fe80:c25d:dd30:4bff:ffff:ffff:ffff:ffff |
| 77 | fe80:c25d:dd30:4c00::/56 | fe80:c25d:dd30:4cff:ffff:ffff:ffff:ffff |
| 78 | fe80:c25d:dd30:4d00::/56 | fe80:c25d:dd30:4dff:ffff:ffff:ffff:ffff |
| 79 | fe80:c25d:dd30:4e00::/56 | fe80:c25d:dd30:4eff:ffff:ffff:ffff:ffff |
| 80 | fe80:c25d:dd30:4f00::/56 | fe80:c25d:dd30:4fff:ffff:ffff:ffff:ffff |
| 81 | fe80:c25d:dd30:5000::/56 | fe80:c25d:dd30:50ff:ffff:ffff:ffff:ffff |
| 82 | fe80:c25d:dd30:5100::/56 | fe80:c25d:dd30:51ff:ffff:ffff:ffff:ffff |
| 83 | fe80:c25d:dd30:5200::/56 | fe80:c25d:dd30:52ff:ffff:ffff:ffff:ffff |
| 84 | fe80:c25d:dd30:5300::/56 | fe80:c25d:dd30:53ff:ffff:ffff:ffff:ffff |
| 85 | fe80:c25d:dd30:5400::/56 | fe80:c25d:dd30:54ff:ffff:ffff:ffff:ffff |
| 86 | fe80:c25d:dd30:5500::/56 | fe80:c25d:dd30:55ff:ffff:ffff:ffff:ffff |
| 87 | fe80:c25d:dd30:5600::/56 | fe80:c25d:dd30:56ff:ffff:ffff:ffff:ffff |
| 88 | fe80:c25d:dd30:5700::/56 | fe80:c25d:dd30:57ff:ffff:ffff:ffff:ffff |
| 89 | fe80:c25d:dd30:5800::/56 | fe80:c25d:dd30:58ff:ffff:ffff:ffff:ffff |
| 90 | fe80:c25d:dd30:5900::/56 | fe80:c25d:dd30:59ff:ffff:ffff:ffff:ffff |
| 91 | fe80:c25d:dd30:5a00::/56 | fe80:c25d:dd30:5aff:ffff:ffff:ffff:ffff |
| 92 | fe80:c25d:dd30:5b00::/56 | fe80:c25d:dd30:5bff:ffff:ffff:ffff:ffff |
| 93 | fe80:c25d:dd30:5c00::/56 | fe80:c25d:dd30:5cff:ffff:ffff:ffff:ffff |
| 94 | fe80:c25d:dd30:5d00::/56 | fe80:c25d:dd30:5dff:ffff:ffff:ffff:ffff |
| 95 | fe80:c25d:dd30:5e00::/56 | fe80:c25d:dd30:5eff:ffff:ffff:ffff:ffff |
| 96 | fe80:c25d:dd30:5f00::/56 | fe80:c25d:dd30:5fff:ffff:ffff:ffff:ffff |
| 97 | fe80:c25d:dd30:6000::/56 | fe80:c25d:dd30:60ff:ffff:ffff:ffff:ffff |
| 98 | fe80:c25d:dd30:6100::/56 | fe80:c25d:dd30:61ff:ffff:ffff:ffff:ffff |
| 99 | fe80:c25d:dd30:6200::/56 | fe80:c25d:dd30:62ff:ffff:ffff:ffff:ffff |
| 100 | fe80:c25d:dd30:6300::/56 | fe80:c25d:dd30:63ff:ffff:ffff:ffff:ffff |
| 101 | fe80:c25d:dd30:6400::/56 | fe80:c25d:dd30:64ff:ffff:ffff:ffff:ffff |
| 102 | fe80:c25d:dd30:6500::/56 | fe80:c25d:dd30:65ff:ffff:ffff:ffff:ffff |
| 103 | fe80:c25d:dd30:6600::/56 | fe80:c25d:dd30:66ff:ffff:ffff:ffff:ffff |
| 104 | fe80:c25d:dd30:6700::/56 | fe80:c25d:dd30:67ff:ffff:ffff:ffff:ffff |
| 105 | fe80:c25d:dd30:6800::/56 | fe80:c25d:dd30:68ff:ffff:ffff:ffff:ffff |
| 106 | fe80:c25d:dd30:6900::/56 | fe80:c25d:dd30:69ff:ffff:ffff:ffff:ffff |
| 107 | fe80:c25d:dd30:6a00::/56 | fe80:c25d:dd30:6aff:ffff:ffff:ffff:ffff |
| 108 | fe80:c25d:dd30:6b00::/56 | fe80:c25d:dd30:6bff:ffff:ffff:ffff:ffff |
| 109 | fe80:c25d:dd30:6c00::/56 | fe80:c25d:dd30:6cff:ffff:ffff:ffff:ffff |
| 110 | fe80:c25d:dd30:6d00::/56 | fe80:c25d:dd30:6dff:ffff:ffff:ffff:ffff |
| 111 | fe80:c25d:dd30:6e00::/56 | fe80:c25d:dd30:6eff:ffff:ffff:ffff:ffff |
| 112 | fe80:c25d:dd30:6f00::/56 | fe80:c25d:dd30:6fff:ffff:ffff:ffff:ffff |
| 113 | fe80:c25d:dd30:7000::/56 | fe80:c25d:dd30:70ff:ffff:ffff:ffff:ffff |
| 114 | fe80:c25d:dd30:7100::/56 | fe80:c25d:dd30:71ff:ffff:ffff:ffff:ffff |
| 115 | fe80:c25d:dd30:7200::/56 | fe80:c25d:dd30:72ff:ffff:ffff:ffff:ffff |
| 116 | fe80:c25d:dd30:7300::/56 | fe80:c25d:dd30:73ff:ffff:ffff:ffff:ffff |
| 117 | fe80:c25d:dd30:7400::/56 | fe80:c25d:dd30:74ff:ffff:ffff:ffff:ffff |
| 118 | fe80:c25d:dd30:7500::/56 | fe80:c25d:dd30:75ff:ffff:ffff:ffff:ffff |
| 119 | fe80:c25d:dd30:7600::/56 | fe80:c25d:dd30:76ff:ffff:ffff:ffff:ffff |
| 120 | fe80:c25d:dd30:7700::/56 | fe80:c25d:dd30:77ff:ffff:ffff:ffff:ffff |
| 121 | fe80:c25d:dd30:7800::/56 | fe80:c25d:dd30:78ff:ffff:ffff:ffff:ffff |
| 122 | fe80:c25d:dd30:7900::/56 | fe80:c25d:dd30:79ff:ffff:ffff:ffff:ffff |
| 123 | fe80:c25d:dd30:7a00::/56 | fe80:c25d:dd30:7aff:ffff:ffff:ffff:ffff |
| 124 | fe80:c25d:dd30:7b00::/56 | fe80:c25d:dd30:7bff:ffff:ffff:ffff:ffff |
| 125 | fe80:c25d:dd30:7c00::/56 | fe80:c25d:dd30:7cff:ffff:ffff:ffff:ffff |
| 126 | fe80:c25d:dd30:7d00::/56 | fe80:c25d:dd30:7dff:ffff:ffff:ffff:ffff |
| 127 | fe80:c25d:dd30:7e00::/56 | fe80:c25d:dd30:7eff:ffff:ffff:ffff:ffff |
| 128 | fe80:c25d:dd30:7f00::/56 | fe80:c25d:dd30:7fff:ffff:ffff:ffff:ffff |
| 129 | fe80:c25d:dd30:8000::/56 | fe80:c25d:dd30:80ff:ffff:ffff:ffff:ffff |
| 130 | fe80:c25d:dd30:8100::/56 | fe80:c25d:dd30:81ff:ffff:ffff:ffff:ffff |
| 131 | fe80:c25d:dd30:8200::/56 | fe80:c25d:dd30:82ff:ffff:ffff:ffff:ffff |
| 132 | fe80:c25d:dd30:8300::/56 | fe80:c25d:dd30:83ff:ffff:ffff:ffff:ffff |
| 133 | fe80:c25d:dd30:8400::/56 | fe80:c25d:dd30:84ff:ffff:ffff:ffff:ffff |
| 134 | fe80:c25d:dd30:8500::/56 | fe80:c25d:dd30:85ff:ffff:ffff:ffff:ffff |
| 135 | fe80:c25d:dd30:8600::/56 | fe80:c25d:dd30:86ff:ffff:ffff:ffff:ffff |
| 136 | fe80:c25d:dd30:8700::/56 | fe80:c25d:dd30:87ff:ffff:ffff:ffff:ffff |
| 137 | fe80:c25d:dd30:8800::/56 | fe80:c25d:dd30:88ff:ffff:ffff:ffff:ffff |
| 138 | fe80:c25d:dd30:8900::/56 | fe80:c25d:dd30:89ff:ffff:ffff:ffff:ffff |
| 139 | fe80:c25d:dd30:8a00::/56 | fe80:c25d:dd30:8aff:ffff:ffff:ffff:ffff |
| 140 | fe80:c25d:dd30:8b00::/56 | fe80:c25d:dd30:8bff:ffff:ffff:ffff:ffff |
| 141 | fe80:c25d:dd30:8c00::/56 | fe80:c25d:dd30:8cff:ffff:ffff:ffff:ffff |
| 142 | fe80:c25d:dd30:8d00::/56 | fe80:c25d:dd30:8dff:ffff:ffff:ffff:ffff |
| 143 | fe80:c25d:dd30:8e00::/56 | fe80:c25d:dd30:8eff:ffff:ffff:ffff:ffff |
| 144 | fe80:c25d:dd30:8f00::/56 | fe80:c25d:dd30:8fff:ffff:ffff:ffff:ffff |
| 145 | fe80:c25d:dd30:9000::/56 | fe80:c25d:dd30:90ff:ffff:ffff:ffff:ffff |
| 146 | fe80:c25d:dd30:9100::/56 | fe80:c25d:dd30:91ff:ffff:ffff:ffff:ffff |
| 147 | fe80:c25d:dd30:9200::/56 | fe80:c25d:dd30:92ff:ffff:ffff:ffff:ffff |
| 148 | fe80:c25d:dd30:9300::/56 | fe80:c25d:dd30:93ff:ffff:ffff:ffff:ffff |
| 149 | fe80:c25d:dd30:9400::/56 | fe80:c25d:dd30:94ff:ffff:ffff:ffff:ffff |
| 150 | fe80:c25d:dd30:9500::/56 | fe80:c25d:dd30:95ff:ffff:ffff:ffff:ffff |
| 151 | fe80:c25d:dd30:9600::/56 | fe80:c25d:dd30:96ff:ffff:ffff:ffff:ffff |
| 152 | fe80:c25d:dd30:9700::/56 | fe80:c25d:dd30:97ff:ffff:ffff:ffff:ffff |
| 153 | fe80:c25d:dd30:9800::/56 | fe80:c25d:dd30:98ff:ffff:ffff:ffff:ffff |
| 154 | fe80:c25d:dd30:9900::/56 | fe80:c25d:dd30:99ff:ffff:ffff:ffff:ffff |
| 155 | fe80:c25d:dd30:9a00::/56 | fe80:c25d:dd30:9aff:ffff:ffff:ffff:ffff |
| 156 | fe80:c25d:dd30:9b00::/56 | fe80:c25d:dd30:9bff:ffff:ffff:ffff:ffff |
| 157 | fe80:c25d:dd30:9c00::/56 | fe80:c25d:dd30:9cff:ffff:ffff:ffff:ffff |
| 158 | fe80:c25d:dd30:9d00::/56 | fe80:c25d:dd30:9dff:ffff:ffff:ffff:ffff |
| 159 | fe80:c25d:dd30:9e00::/56 | fe80:c25d:dd30:9eff:ffff:ffff:ffff:ffff |
| 160 | fe80:c25d:dd30:9f00::/56 | fe80:c25d:dd30:9fff:ffff:ffff:ffff:ffff |
| 161 | fe80:c25d:dd30:a000::/56 | fe80:c25d:dd30:a0ff:ffff:ffff:ffff:ffff |
| 162 | fe80:c25d:dd30:a100::/56 | fe80:c25d:dd30:a1ff:ffff:ffff:ffff:ffff |
| 163 | fe80:c25d:dd30:a200::/56 | fe80:c25d:dd30:a2ff:ffff:ffff:ffff:ffff |
| 164 | fe80:c25d:dd30:a300::/56 | fe80:c25d:dd30:a3ff:ffff:ffff:ffff:ffff |
| 165 | fe80:c25d:dd30:a400::/56 | fe80:c25d:dd30:a4ff:ffff:ffff:ffff:ffff |
| 166 | fe80:c25d:dd30:a500::/56 | fe80:c25d:dd30:a5ff:ffff:ffff:ffff:ffff |
| 167 | fe80:c25d:dd30:a600::/56 | fe80:c25d:dd30:a6ff:ffff:ffff:ffff:ffff |
| 168 | fe80:c25d:dd30:a700::/56 | fe80:c25d:dd30:a7ff:ffff:ffff:ffff:ffff |
| 169 | fe80:c25d:dd30:a800::/56 | fe80:c25d:dd30:a8ff:ffff:ffff:ffff:ffff |
| 170 | fe80:c25d:dd30:a900::/56 | fe80:c25d:dd30:a9ff:ffff:ffff:ffff:ffff |
| 171 | fe80:c25d:dd30:aa00::/56 | fe80:c25d:dd30:aaff:ffff:ffff:ffff:ffff |
| 172 | fe80:c25d:dd30:ab00::/56 | fe80:c25d:dd30:abff:ffff:ffff:ffff:ffff |
| 173 | fe80:c25d:dd30:ac00::/56 | fe80:c25d:dd30:acff:ffff:ffff:ffff:ffff |
| 174 | fe80:c25d:dd30:ad00::/56 | fe80:c25d:dd30:adff:ffff:ffff:ffff:ffff |
| 175 | fe80:c25d:dd30:ae00::/56 | fe80:c25d:dd30:aeff:ffff:ffff:ffff:ffff |
| 176 | fe80:c25d:dd30:af00::/56 | fe80:c25d:dd30:afff:ffff:ffff:ffff:ffff |
| 177 | fe80:c25d:dd30:b000::/56 | fe80:c25d:dd30:b0ff:ffff:ffff:ffff:ffff |
| 178 | fe80:c25d:dd30:b100::/56 | fe80:c25d:dd30:b1ff:ffff:ffff:ffff:ffff |
| 179 | fe80:c25d:dd30:b200::/56 | fe80:c25d:dd30:b2ff:ffff:ffff:ffff:ffff |
| 180 | fe80:c25d:dd30:b300::/56 | fe80:c25d:dd30:b3ff:ffff:ffff:ffff:ffff |
| 181 | fe80:c25d:dd30:b400::/56 | fe80:c25d:dd30:b4ff:ffff:ffff:ffff:ffff |
| 182 | fe80:c25d:dd30:b500::/56 | fe80:c25d:dd30:b5ff:ffff:ffff:ffff:ffff |
| 183 | fe80:c25d:dd30:b600::/56 | fe80:c25d:dd30:b6ff:ffff:ffff:ffff:ffff |
| 184 | fe80:c25d:dd30:b700::/56 | fe80:c25d:dd30:b7ff:ffff:ffff:ffff:ffff |
| 185 | fe80:c25d:dd30:b800::/56 | fe80:c25d:dd30:b8ff:ffff:ffff:ffff:ffff |
| 186 | fe80:c25d:dd30:b900::/56 | fe80:c25d:dd30:b9ff:ffff:ffff:ffff:ffff |
| 187 | fe80:c25d:dd30:ba00::/56 | fe80:c25d:dd30:baff:ffff:ffff:ffff:ffff |
| 188 | fe80:c25d:dd30:bb00::/56 | fe80:c25d:dd30:bbff:ffff:ffff:ffff:ffff |
| 189 | fe80:c25d:dd30:bc00::/56 | fe80:c25d:dd30:bcff:ffff:ffff:ffff:ffff |
| 190 | fe80:c25d:dd30:bd00::/56 | fe80:c25d:dd30:bdff:ffff:ffff:ffff:ffff |
| 191 | fe80:c25d:dd30:be00::/56 | fe80:c25d:dd30:beff:ffff:ffff:ffff:ffff |
| 192 | fe80:c25d:dd30:bf00::/56 | fe80:c25d:dd30:bfff:ffff:ffff:ffff:ffff |
| 193 | fe80:c25d:dd30:c000::/56 | fe80:c25d:dd30:c0ff:ffff:ffff:ffff:ffff |
| 194 | fe80:c25d:dd30:c100::/56 | fe80:c25d:dd30:c1ff:ffff:ffff:ffff:ffff |
| 195 | fe80:c25d:dd30:c200::/56 | fe80:c25d:dd30:c2ff:ffff:ffff:ffff:ffff |
| 196 | fe80:c25d:dd30:c300::/56 | fe80:c25d:dd30:c3ff:ffff:ffff:ffff:ffff |
| 197 | fe80:c25d:dd30:c400::/56 | fe80:c25d:dd30:c4ff:ffff:ffff:ffff:ffff |
| 198 | fe80:c25d:dd30:c500::/56 | fe80:c25d:dd30:c5ff:ffff:ffff:ffff:ffff |
| 199 | fe80:c25d:dd30:c600::/56 | fe80:c25d:dd30:c6ff:ffff:ffff:ffff:ffff |
| 200 | fe80:c25d:dd30:c700::/56 | fe80:c25d:dd30:c7ff:ffff:ffff:ffff:ffff |
| 201 | fe80:c25d:dd30:c800::/56 | fe80:c25d:dd30:c8ff:ffff:ffff:ffff:ffff |
| 202 | fe80:c25d:dd30:c900::/56 | fe80:c25d:dd30:c9ff:ffff:ffff:ffff:ffff |
| 203 | fe80:c25d:dd30:ca00::/56 | fe80:c25d:dd30:caff:ffff:ffff:ffff:ffff |
| 204 | fe80:c25d:dd30:cb00::/56 | fe80:c25d:dd30:cbff:ffff:ffff:ffff:ffff |
| 205 | fe80:c25d:dd30:cc00::/56 | fe80:c25d:dd30:ccff:ffff:ffff:ffff:ffff |
| 206 | fe80:c25d:dd30:cd00::/56 | fe80:c25d:dd30:cdff:ffff:ffff:ffff:ffff |
| 207 | fe80:c25d:dd30:ce00::/56 | fe80:c25d:dd30:ceff:ffff:ffff:ffff:ffff |
| 208 | fe80:c25d:dd30:cf00::/56 | fe80:c25d:dd30:cfff:ffff:ffff:ffff:ffff |
| 209 | fe80:c25d:dd30:d000::/56 | fe80:c25d:dd30:d0ff:ffff:ffff:ffff:ffff |
| 210 | fe80:c25d:dd30:d100::/56 | fe80:c25d:dd30:d1ff:ffff:ffff:ffff:ffff |
| 211 | fe80:c25d:dd30:d200::/56 | fe80:c25d:dd30:d2ff:ffff:ffff:ffff:ffff |
| 212 | fe80:c25d:dd30:d300::/56 | fe80:c25d:dd30:d3ff:ffff:ffff:ffff:ffff |
| 213 | fe80:c25d:dd30:d400::/56 | fe80:c25d:dd30:d4ff:ffff:ffff:ffff:ffff |
| 214 | fe80:c25d:dd30:d500::/56 | fe80:c25d:dd30:d5ff:ffff:ffff:ffff:ffff |
| 215 | fe80:c25d:dd30:d600::/56 | fe80:c25d:dd30:d6ff:ffff:ffff:ffff:ffff |
| 216 | fe80:c25d:dd30:d700::/56 | fe80:c25d:dd30:d7ff:ffff:ffff:ffff:ffff |
| 217 | fe80:c25d:dd30:d800::/56 | fe80:c25d:dd30:d8ff:ffff:ffff:ffff:ffff |
| 218 | fe80:c25d:dd30:d900::/56 | fe80:c25d:dd30:d9ff:ffff:ffff:ffff:ffff |
| 219 | fe80:c25d:dd30:da00::/56 | fe80:c25d:dd30:daff:ffff:ffff:ffff:ffff |
| 220 | fe80:c25d:dd30:db00::/56 | fe80:c25d:dd30:dbff:ffff:ffff:ffff:ffff |
| 221 | fe80:c25d:dd30:dc00::/56 | fe80:c25d:dd30:dcff:ffff:ffff:ffff:ffff |
| 222 | fe80:c25d:dd30:dd00::/56 | fe80:c25d:dd30:ddff:ffff:ffff:ffff:ffff |
| 223 | fe80:c25d:dd30:de00::/56 | fe80:c25d:dd30:deff:ffff:ffff:ffff:ffff |
| 224 | fe80:c25d:dd30:df00::/56 | fe80:c25d:dd30:dfff:ffff:ffff:ffff:ffff |
| 225 | fe80:c25d:dd30:e000::/56 | fe80:c25d:dd30:e0ff:ffff:ffff:ffff:ffff |
| 226 | fe80:c25d:dd30:e100::/56 | fe80:c25d:dd30:e1ff:ffff:ffff:ffff:ffff |
| 227 | fe80:c25d:dd30:e200::/56 | fe80:c25d:dd30:e2ff:ffff:ffff:ffff:ffff |
| 228 | fe80:c25d:dd30:e300::/56 | fe80:c25d:dd30:e3ff:ffff:ffff:ffff:ffff |
| 229 | fe80:c25d:dd30:e400::/56 | fe80:c25d:dd30:e4ff:ffff:ffff:ffff:ffff |
| 230 | fe80:c25d:dd30:e500::/56 | fe80:c25d:dd30:e5ff:ffff:ffff:ffff:ffff |
| 231 | fe80:c25d:dd30:e600::/56 | fe80:c25d:dd30:e6ff:ffff:ffff:ffff:ffff |
| 232 | fe80:c25d:dd30:e700::/56 | fe80:c25d:dd30:e7ff:ffff:ffff:ffff:ffff |
| 233 | fe80:c25d:dd30:e800::/56 | fe80:c25d:dd30:e8ff:ffff:ffff:ffff:ffff |
| 234 | fe80:c25d:dd30:e900::/56 | fe80:c25d:dd30:e9ff:ffff:ffff:ffff:ffff |
| 235 | fe80:c25d:dd30:ea00::/56 | fe80:c25d:dd30:eaff:ffff:ffff:ffff:ffff |
| 236 | fe80:c25d:dd30:eb00::/56 | fe80:c25d:dd30:ebff:ffff:ffff:ffff:ffff |
| 237 | fe80:c25d:dd30:ec00::/56 | fe80:c25d:dd30:ecff:ffff:ffff:ffff:ffff |
| 238 | fe80:c25d:dd30:ed00::/56 | fe80:c25d:dd30:edff:ffff:ffff:ffff:ffff |
| 239 | fe80:c25d:dd30:ee00::/56 | fe80:c25d:dd30:eeff:ffff:ffff:ffff:ffff |
| 240 | fe80:c25d:dd30:ef00::/56 | fe80:c25d:dd30:efff:ffff:ffff:ffff:ffff |
| 241 | fe80:c25d:dd30:f000::/56 | fe80:c25d:dd30:f0ff:ffff:ffff:ffff:ffff |
| 242 | fe80:c25d:dd30:f100::/56 | fe80:c25d:dd30:f1ff:ffff:ffff:ffff:ffff |
| 243 | fe80:c25d:dd30:f200::/56 | fe80:c25d:dd30:f2ff:ffff:ffff:ffff:ffff |
| 244 | fe80:c25d:dd30:f300::/56 | fe80:c25d:dd30:f3ff:ffff:ffff:ffff:ffff |
| 245 | fe80:c25d:dd30:f400::/56 | fe80:c25d:dd30:f4ff:ffff:ffff:ffff:ffff |
| 246 | fe80:c25d:dd30:f500::/56 | fe80:c25d:dd30:f5ff:ffff:ffff:ffff:ffff |
| 247 | fe80:c25d:dd30:f600::/56 | fe80:c25d:dd30:f6ff:ffff:ffff:ffff:ffff |
| 248 | fe80:c25d:dd30:f700::/56 | fe80:c25d:dd30:f7ff:ffff:ffff:ffff:ffff |
| 249 | fe80:c25d:dd30:f800::/56 | fe80:c25d:dd30:f8ff:ffff:ffff:ffff:ffff |
| 250 | fe80:c25d:dd30:f900::/56 | fe80:c25d:dd30:f9ff:ffff:ffff:ffff:ffff |
| 251 | fe80:c25d:dd30:fa00::/56 | fe80:c25d:dd30:faff:ffff:ffff:ffff:ffff |
| 252 | fe80:c25d:dd30:fb00::/56 | fe80:c25d:dd30:fbff:ffff:ffff:ffff:ffff |
| 253 | fe80:c25d:dd30:fc00::/56 | fe80:c25d:dd30:fcff:ffff:ffff:ffff:ffff |
| 254 | fe80:c25d:dd30:fd00::/56 | fe80:c25d:dd30:fdff:ffff:ffff:ffff:ffff |
| 255 | fe80:c25d:dd30:fe00::/56 | fe80:c25d:dd30:feff:ffff:ffff:ffff:ffff |
| 256 | fe80:c25d:dd30:ff00::/56 | fe80:c25d:dd30:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |